Gantry::Utils::Model::Regular(3)

NAME
Gantry::Utils::Model::Regular - base class for database modelers

SYNOPSIS
    package Your::App::Name::Model::table_name;

    use base 'Gantry::Utils::Model::Regular';

DESCRIPTION
Use this as the parent class of your individual model module when that model needs to use the regular database connection. Follow the instructions in Gantry::Utils::Model for what your subclass must implement (and it is a lot, we usually generate the module with Bigtop).

AUTHOR
Phil Crow <philcrow2000@yahoo.com>

COPYRIGHT and LICENSE
Copyright (c) 2006, Phil Crow

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.